summaryrefslogtreecommitdiff
path: root/gnu/usr.bin
diff options
context:
space:
mode:
authorjtc <jtc@NetBSD.org>1995-08-31 18:48:23 +0000
committerjtc <jtc@NetBSD.org>1995-08-31 18:48:23 +0000
commit98150bc36dd94a608478f75e21986fad4acebc47 (patch)
treebddf1e8e9412858c0a60e1f8e22cf6369df8b506 /gnu/usr.bin
parent23de03812d2181cca90f8e2efebc2bc07184224e (diff)
Upgraded to send-pr 3.95, with our local modifications
Diffstat (limited to 'gnu/usr.bin')
-rw-r--r--gnu/usr.bin/send-pr/ChangeLog143
-rw-r--r--gnu/usr.bin/send-pr/Makefile4
-rw-r--r--gnu/usr.bin/send-pr/Makefile.in30
-rw-r--r--gnu/usr.bin/send-pr/aclocal.m410
-rwxr-xr-xgnu/usr.bin/send-pr/configure719
-rw-r--r--gnu/usr.bin/send-pr/configure.in17
-rw-r--r--gnu/usr.bin/send-pr/fields.texi1
-rw-r--r--gnu/usr.bin/send-pr/send-pr-el.in57
-rw-r--r--gnu/usr.bin/send-pr/send-pr.sh10
-rw-r--r--gnu/usr.bin/send-pr/send-pr.texi6
10 files changed, 788 insertions, 209 deletions
diff --git a/gnu/usr.bin/send-pr/ChangeLog b/gnu/usr.bin/send-pr/ChangeLog
index a1e1872b02c..8def6a9c6b7 100644
--- a/gnu/usr.bin/send-pr/ChangeLog
+++ b/gnu/usr.bin/send-pr/ChangeLog
@@ -1,3 +1,146 @@
+Thu Aug 3 13:32:39 1995 Brendan Kehoe <brendan@lisa.cygnus.com>
+
+ * Makefile.in (VERSION): Up to 3.95.
+
+Wed Jul 26 18:26:31 1995 Brendan Kehoe <brendan@lisa.cygnus.com>
+
+ * Makefile.in (install-gnats-dist): Also put in INSTALL and MANIFEST.
+
+Mon Jul 17 10:11:11 1995 Brendan Kehoe <brendan@lisa.cygnus.com>
+
+ * Makefile.in (VERSION): Up to 3.93.
+
+ * Makefile.in (prefix): Use @prefix@, not /usr/local, for the default.
+
+Thu Jul 13 13:02:52 1995 Brendan Kehoe <brendan@lisa.cygnus.com>
+
+ * send-pr-el.in (gnats::position-on-field): Add new arg QUIET.
+ Only give the error if QUIET is nil.
+ (gnats::field-contents): Pass T to position-on-field.
+
+ * Makefile.in (VERSION): Update to 3.92.
+
+Wed Jul 12 12:26:49 1995 Brendan Kehoe <brendan@lisa.cygnus.com>
+
+ * Makefile.in (EMACS): Define variable to use ../emacs19/src/emacs
+ if it's there.
+ (send-pr.elc): Use that instead of just `emacs'.
+
+Fri Jul 7 13:43:48 1995 Brendan Kehoe <brendan@lisa.cygnus.com>
+
+ * aclocal.m4: Use AC_MSG_* for AC_LISPDIR.
+ * configure: Regenerate.
+
+Thu Jul 6 19:22:53 1995 Brendan Kehoe <brendan@lisa.cygnus.com>
+
+ * send-pr-el.in (gnats::get-config): Also match `.:' for NetBSD.
+
+Mon Jun 12 08:32:57 1995 Brendan Kehoe (brendan@lisa.cygnus.com)
+
+ * Makefile.in (stamp-gnats): Don't depend on ../gnats/Makefile.
+
+Fri Mar 24 15:04:58 1995 Jason Merrill <jason@phydeaux.cygnus.com>
+
+ * aclocal.m4 (AC_LISPDIR): Tweak quoting to work with bash.
+ * configure: Regenerate.
+
+Mon Feb 13 02:04:13 1995 Brendan Kehoe (brendan@lisa.cygnus.com)
+
+ * send-pr.sh: Be a little more elegant about how we set LOGNAME.
+
+Sun Feb 12 22:59:44 1995 Brendan Kehoe (brendan@cygnus.com)
+
+ * configure.in: Only set GNATS_SITE and GNATS_ADDR if we aren't
+ given environment variables with them set.
+ * configure: Generated new one.
+
+Fri Feb 3 12:10:35 1995 J.T. Conklin <jtc@rtl.cygnus.com>
+
+ * send-pr.sh: Added missing ` (backquote) to expression used to
+ determine whether TMPDIR ends in a slash.
+
+Tue Jan 31 10:48:39 1995 J.T. Conklin <jtc@rtl.cygnus.com>
+
+ * send-pr.sh: Use REPLYTO instead of REPLY_TO. Set REPLYTO to
+ LOGNAME if it is unset.
+
+Fri Dec 30 16:52:40 1994 Ian Lance Taylor <ian@sanguine.cygnus.com>
+
+ * Makefile.in (install-norm): Stop make from printing an error
+ message of send-pr.elc does not exist.
+
+Thu Oct 6 13:05:19 1994 Brendan Kehoe (brendan@lisa.cygnus.com)
+
+ * send-pr-el.in (gnats::get-config): Go to point-min after running
+ the shell command on the region.
+ (send-pr::start-up): Likewise, after inserting the site template.
+
+ * send-pr.sh (TMPDIR): If TMPDIR ends in a slash, cut it off to
+ avoid emacs send-pr not working.
+
+Wed Oct 5 13:11:27 1994 Brendan Kehoe (brendan@lisa.cygnus.com)
+
+ * send-pr-el.in (send-pr::start-up): Call insert-template instead
+ of running `send-pr -P' every time.
+ (send-pr::template-alist): Declare.
+ (send-pr::insert-template): New function.
+
+ * send-pr-el.in (gnats::get-config): Check get-buffer before using
+ looking-at, since shell-command-on-region wipes it out if there's
+ no output (which will be the case for variables not set in the
+ config file).
+
+ * send-pr-el.in (gnats::find-safe-default-directory): New function.
+
+Thu Sep 29 18:37:34 1994 Brendan Kehoe (brendan@lisa.cygnus.com)
+
+ * aclocal.m4 (AC_LISPDIR): Set LISPDIR using commas in the sed,
+ not slashes.
+ * configure: Generate a new one.
+
+Tue Aug 30 13:55:22 1994 Brendan Kehoe (brendan@lisa.cygnus.com)
+
+ * aclocal.m4: Change from Jason, to try to use PREFIX on the
+ LISPDIR if possible before going with /usr/local.
+
+Mon Aug 1 11:31:47 1994 Brendan Kehoe (brendan@lisa.cygnus.com)
+
+ * send-pr-el.in (send-pr::start-up): Always start at the beginning
+ of the buffer when searching for `^SEND-PR:'.
+
+Sun Jul 17 19:13:17 1994 Jason Molenda (crash@sendai.cygnus.com)
+
+ * categories: add `dos' for real this time.
+
+Wed May 11 15:46:48 1994 Bill Cox (bill@rtl.cygnus.com)
+
+ * Makefile.in: Delete install commands which attempt to
+ 'chown' the script to user 'gnats', who not exist in
+ the end-user's system.
+
+Fri May 6 17:40:12 1994 Jason Molenda (crash@sendai.cygnus.com)
+
+ * categories: add 'dos', 'gcov', 'gasp', and 'install'.
+
+Thu Apr 21 12:55:52 1994 James Clark (jjc@jclark.com)
+
+ * send-pr.sh (ORGANIZATION): don't use quotes in the ${ORG-"\t$ORG_C"}
+ thing. It tickles a bug in bourne shell.
+
+Wed Apr 6 17:16:28 1994 Jason Merrill (jason@deneb.cygnus.com)
+
+ * send-pr-el.in (gnats::get-config): Use shell-command-on-region
+ instead of shell-command.
+ (send-pr::start-up): Ditto.
+
+Wed Apr 6 17:14:36 1994 Cheryl Bien (bien@aero.org)
+
+ * send-pr.sh (ORIGINATOR): Use awk instead of cut.
+
+Tue Mar 22 17:12:24 1994 Jason Merrill (jason@deneb.cygnus.com)
+
+ * send-pr.sh: DATADIR is under $(prefix), not $(exec_prefix).
+
Sat Jan 15 19:12:45 1994 Jason Merrill (jason@deneb.cygnus.com)
* aclocal.m4 (AC_LISPDIR): Handle case where $(prefix) is not
diff --git a/gnu/usr.bin/send-pr/Makefile b/gnu/usr.bin/send-pr/Makefile
index a77b5838116..66f0d5ab413 100644
--- a/gnu/usr.bin/send-pr/Makefile
+++ b/gnu/usr.bin/send-pr/Makefile
@@ -1,4 +1,4 @@
-# $NetBSD: Makefile,v 1.13 1995/06/19 05:34:47 jtc Exp $
+# $NetBSD: Makefile,v 1.14 1995/08/31 18:48:25 jtc Exp $
#
# Makefile for building a standalone send-pr.
@@ -11,7 +11,7 @@ datadir= /usr/share
#
# Begin CONFIGURATION SECTION
#
-VERSION=3.2
+VERSION=3.95
# Where the GNATS database and master configuration stuff lives.
GNATS_ROOT =
diff --git a/gnu/usr.bin/send-pr/Makefile.in b/gnu/usr.bin/send-pr/Makefile.in
index b0c17f468c1..3421100a788 100644
--- a/gnu/usr.bin/send-pr/Makefile.in
+++ b/gnu/usr.bin/send-pr/Makefile.in
@@ -72,7 +72,15 @@ LDFLAGS = -g
ECHON = @ECHON@
-prefix = /usr/local
+EMACS = `if [ -f ./../emacs19/Makefile ] ; then \
+ echo "EMACSLOADPATH=\`cd $(srcdir)/../emacs19/lisp ; pwd\` ; \
+ export EMACSLOADPATH ; \
+ ./../emacs19/src/emacs" ; \
+ else \
+ echo emacs ; \
+ fi`
+
+prefix = @prefix@
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
@@ -101,7 +109,7 @@ docdir = $(datadir)/doc
# End of system configuration section.
-VERSION = 3.2
+VERSION = 3.95
SHELL = /bin/sh
@@ -146,7 +154,7 @@ send-pr.el: send-pr-el.in Makefile
mv $@-t $@
send-pr.elc: send-pr.el
- -PWD=`pwd` emacs -batch -q -f batch-byte-compile send-pr.el
+ -PWD=`pwd` eval $(EMACS) -batch -q -f batch-byte-compile send-pr.el
install: $(SEND_PR_INSTALL)
install-tools: install-norm install-categories
@@ -157,15 +165,19 @@ install-norm all-gnats:
$(INSTALL_PROGRAM) install-sid $(bindir)/install-sid
$(INSTALL_DATA) send-pr.1 $(man1dir)/send-pr.1
$(INSTALL_DATA) send-pr.el $(lispdir)/send-pr.el
- -$(INSTALL_DATA) send-pr.elc $(lispdir)/send-pr.elc
+ if [ -f send-pr.elc ]; then \
+ $(INSTALL_DATA) send-pr.elc $(lispdir)/send-pr.elc; \
+ else true; fi
# Install the Cygnus category list for bug reports.
install-categories:
$(INSTALL_DATA) $(srcdir)/categories $(datadir)/gnats/cygnus
-install-gnats-dist: info
+install-gnats-dist:
$(INSTALL_DATA) $(srcdir)/COPYING $(datadir)/gnats/dist/COPYING
$(INSTALL_DATA) $(srcdir)/README $(datadir)/gnats/dist/README
+ $(INSTALL_DATA) $(srcdir)/INSTALL $(datadir)/gnats/dist/INSTALL
+ $(INSTALL_DATA) $(srcdir)/MANIFEST $(datadir)/gnats/dist/MANIFEST
sed -e 's/"DEFAULT_RELEASE") ".*"/"DEFAULT_RELEASE") "@''DEFAULT_RELEASE@"/' \
-e 's/"SUBMITTER") ".*"/"SUBMITTER") "@''SUBMITTER@"/' \
-e 's/"DATADIR") ".*"/"DATADIR") "@''DATADIR@"/' \
@@ -200,12 +212,6 @@ install-gnats-dist: info
$(datadir)/gnats/dist/states.texi
$(INSTALL_DATA) $(srcdir)/../texinfo/texinfo.tex \
$(datadir)/gnats/dist/texinfo.tex
- @if [ `whoami` = root ] ; then \
- echo "chown gnats $(datadir)/gnats/dist" ; \
- chown gnats $(datadir)/gnats/dist ; \
- elif [ `whoami` != gnats ] ; then \
- echo "*** Warning: $(datadir)/gnats must be writable by the gnats user" ; \
- fi
install-info: send-pr.info
for i in send-pr.info* ; do \
@@ -245,7 +251,7 @@ send-pr.dvi: version.texi
# known only to the GNATS configuration.
gnats-build: stamp-gnats
-stamp-gnats: ../gnats/Makefile Makefile
+stamp-gnats: Makefile
sed -e 's,^GNATS_ROOT =.*,GNATS_ROOT = $(GNATS_ROOT),' \
-e 's,^GNATS_ADDR =.*,GNATS_ADDR = $(GNATS_ADDR),' \
-e 's,^GNATS_SITE =.*,GNATS_SITE = $(GNATS_SITE),' \
diff --git a/gnu/usr.bin/send-pr/aclocal.m4 b/gnu/usr.bin/send-pr/aclocal.m4
index 5f94d209116..b90ccf3714f 100644
--- a/gnu/usr.bin/send-pr/aclocal.m4
+++ b/gnu/usr.bin/send-pr/aclocal.m4
@@ -32,14 +32,18 @@ else
fi])dnl
dnl
define([AC_LISPDIR],dnl
-[echo checking for Emacs Lisp files
+[AC_MSG_CHECKING(checking for Emacs Lisp files)
if test -n "$with_lispdir"; then
LISPDIR=${with_lispdir}
else
for f in ${prefix-/usr/local}/lib/emacs/site-lisp \
${prefix-/usr/local}/lib/emacs/lisp; do
if test -d $f; then
- LISPDIR=$f
+ if test -n "$prefix"; then
+ LISPDIR=`echo $f | sed "s,^$prefix,"'$(prefix),'`
+ else
+ LISPDIR=$f
+ fi
break
fi
done
@@ -48,7 +52,7 @@ if test -z "$LISPDIR"; then
dnl # Change this default when Emacs 19 has been around for a while
LISPDIR='$(prefix)/lib/emacs/lisp'
fi
-test -n "$verbose" && echo " setting LISPDIR to ${LISPDIR}"
+AC_MSG_RESULT(${LISPDIR})
AC_SUBST(LISPDIR)dnl
])dnl
dnl
diff --git a/gnu/usr.bin/send-pr/configure b/gnu/usr.bin/send-pr/configure
index f26fb7767ed..5ca80cb7beb 100755
--- a/gnu/usr.bin/send-pr/configure
+++ b/gnu/usr.bin/send-pr/configure
@@ -1,132 +1,402 @@
-#!/bin/sh
+#! /bin/sh
+
# Guess values for system-dependent variables and create Makefiles.
-# Generated automatically using autoconf.
-# Copyright (C) 1991, 1992, 1993 Free Software Foundation, Inc.
+# Generated automatically using autoconf version 2.3
+# Copyright (C) 1992, 1993, 1994 Free Software Foundation, Inc.
+#
+# This configure script is free software; the Free Software Foundation
+# gives unlimited permission to copy, distribute and modify it.
+
+# Defaults:
+ac_help=
+ac_default_prefix=/usr/local
+# Any additions from configure.in:
+
+# Initialize some variables set by options.
+# The variables have the same names as the options, with
+# dashes changed to underlines.
+build=NONE
+cache_file=./config.cache
+exec_prefix=NONE
+host=NONE
+no_create=
+nonopt=NONE
+no_recursion=
+prefix=NONE
+program_prefix=NONE
+program_suffix=NONE
+program_transform_name=s,x,x,
+silent=
+site=
+srcdir=
+target=NONE
+verbose=
+x_includes=NONE
+x_libraries=NONE
+
+# Initialize some other variables.
+subdirs=
+
+ac_prev=
+for ac_option
+do
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2, or (at your option)
-# any later version.
+ # If the previous option needs an argument, assign it.
+ if test -n "$ac_prev"; then
+ eval "$ac_prev=\$ac_option"
+ ac_prev=
+ continue
+ fi
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-# GNU General Public License for more details.
+ case "$ac_option" in
+ -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
+ *) ac_optarg= ;;
+ esac
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
+ # Accept the important Cygnus configure options, so we can diagnose typos.
-# Usage: configure [--srcdir=DIR] [--host=HOST] [--gas] [--nfp]
-# [--prefix=PREFIX] [--exec-prefix=PREFIX] [--with-PACKAGE[=VALUE]]
-# Ignores all args except --srcdir, --prefix, --exec-prefix, and
-# --with-PACKAGE[=VALUE] unless this script has special code to handle it.
+ case "$ac_option" in
-for arg
-do
- # Handle --exec-prefix with a space before the argument.
- if test x$next_exec_prefix = xyes; then exec_prefix=$arg; next_exec_prefix=
- # Handle --host with a space before the argument.
- elif test x$next_host = xyes; then next_host=
- # Handle --prefix with a space before the argument.
- elif test x$next_prefix = xyes; then prefix=$arg; next_prefix=
- # Handle --srcdir with a space before the argument.
- elif test x$next_srcdir = xyes; then srcdir=$arg; next_srcdir=
- else
- case $arg in
- # For backward compatibility, recognize -exec-prefix and --exec_prefix.
- -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* | --exec=* | --exe=* | --ex=* | --e=*)
- exec_prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- | --exec | --exe | --ex | --e)
- next_exec_prefix=yes ;;
-
- -gas | --gas | --ga | --g) ;;
-
- -host=* | --host=* | --hos=* | --ho=* | --h=*) ;;
- -host | --host | --hos | --ho | --h)
- next_host=yes ;;
-
- -nfp | --nfp | --nf) ;;
-
- -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
- prefix=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
- next_prefix=yes ;;
-
- -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=* | --s=*)
- srcdir=`echo $arg | sed 's/[-a-z_]*=//'` ;;
- -srcdir | --srcdir | --srcdi | --srcd | --src | --sr | --s)
- next_srcdir=yes ;;
-
- -with-* | --with-*)
- package=`echo $arg|sed -e 's/-*with-//' -e 's/=.*//'`
- # Reject names that aren't valid shell variable names.
- if test -n "`echo $package| sed 's/[-a-zA-Z0-9_]//g'`"; then
- echo "configure: $package: invalid package name" >&2; exit 1
- fi
- package=`echo $package| sed 's/-/_/g'`
- case "$arg" in
- *=*) val="`echo $arg|sed 's/[^=]*=//'`" ;;
- *) val=1 ;;
- esac
- eval "with_$package='$val'" ;;
-
- -v | -verbose | --verbose | --verbos | --verbo | --verb | --ver | --ve | --v)
- verbose=yes ;;
-
- *) ;;
+ -build | --build | --buil | --bui | --bu | --b)
+ ac_prev=build ;;
+ -build=* | --build=* | --buil=* | --bui=* | --bu=* | --b=*)
+ build="$ac_optarg" ;;
+
+ -cache-file | --cache-file | --cache-fil | --cache-fi \
+ | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
+ ac_prev=cache_file ;;
+ -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
+ | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
+ cache_file="$ac_optarg" ;;
+
+ -disable-* | --disable-*)
+ ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
+ # Reject names that are not valid shell variable names.
+ if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
+ { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
+ fi
+ ac_feature=`echo $ac_feature| sed 's/-/_/g'`
+ eval "enable_${ac_feature}=no" ;;
+
+ -enable-* | --enable-*)
+ ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
+ # Reject names that are not valid shell variable names.
+ if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
+ { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
+ fi
+ ac_feature=`echo $ac_feature| sed 's/-/_/g'`
+ case "$ac_option" in
+ *=*) ;;
+ *) ac_optarg=yes ;;
esac
- fi
+ eval "enable_${ac_feature}='$ac_optarg'" ;;
+
+ -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
+ | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
+ | --exec | --exe | --ex)
+ ac_prev=exec_prefix ;;
+ -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
+ | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
+ | --exec=* | --exe=* | --ex=*)
+ exec_prefix="$ac_optarg" ;;
+
+ -gas | --gas | --ga | --g)
+ # Obsolete; use --with-gas.
+ with_gas=yes ;;
+
+ -help | --help | --hel | --he)
+ # Omit some internal or obsolete options to make the list less imposing.
+ # This message is too long to be a string in the A/UX 3.1 sh.
+ cat << EOF
+Usage: configure [options] [host]
+Options: [defaults in brackets after descriptions]
+Configuration:
+ --cache-file=FILE cache test results in FILE
+ --help print this message
+ --no-create do not create output files
+ --quiet, --silent do not print \`checking...' messages
+ --version print the version of autoconf that created configure
+Directory and file names:
+ --prefix=PREFIX install architecture-independent files in PREFIX
+ [$ac_default_prefix]
+ --exec-prefix=PREFIX install architecture-dependent files in PREFIX
+ [same as prefix]
+ --srcdir=DIR find the sources in DIR [configure dir or ..]
+ --program-prefix=PREFIX prepend PREFIX to installed program names
+ --program-suffix=SUFFIX append SUFFIX to installed program names
+ --program-transform-name=PROGRAM run sed PROGRAM on installed program names
+Host type:
+ --build=BUILD configure for building on BUILD [BUILD=HOST]
+ --host=HOST configure for HOST [guessed]
+ --target=TARGET configure for TARGET [TARGET=HOST]
+Features and packages:
+ --disable-FEATURE do not include FEATURE (same as --enable-FEATURE=no)
+ --enable-FEATURE[=ARG] include FEATURE [ARG=yes]
+ --with-PACKAGE[=ARG] use PACKAGE [ARG=yes]
+ --without-PACKAGE do not use PACKAGE (same as --with-PACKAGE=no)
+ --x-includes=DIR X include files are in DIR
+ --x-libraries=DIR X library files are in DIR
+--enable and --with options recognized:$ac_help
+EOF
+ exit 0 ;;
+
+ -host | --host | --hos | --ho)
+ ac_prev=host ;;
+ -host=* | --host=* | --hos=* | --ho=*)
+ host="$ac_optarg" ;;
+
+ -nfp | --nfp | --nf)
+ # Obsolete; use --without-fp.
+ with_fp=no ;;
+
+ -no-create | --no-create | --no-creat | --no-crea | --no-cre \
+ | --no-cr | --no-c)
+ no_create=yes ;;
+
+ -no-recursion | --no-recursion | --no-recursio | --no-recursi \
+ | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
+ no_recursion=yes ;;
+
+ -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
+ ac_prev=prefix ;;
+ -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
+ prefix="$ac_optarg" ;;
+
+ -program-prefix | --program-prefix | --program-prefi | --program-pref \
+ | --program-pre | --program-pr | --program-p)
+ ac_prev=program_prefix ;;
+ -program-prefix=* | --program-prefix=* | --program-prefi=* \
+ | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
+ program_prefix="$ac_optarg" ;;
+
+ -program-suffix | --program-suffix | --program-suffi | --program-suff \
+ | --program-suf | --program-su | --program-s)
+ ac_prev=program_suffix ;;
+ -program-suffix=* | --program-suffix=* | --program-suffi=* \
+ | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
+ program_suffix="$ac_optarg" ;;
+
+ -program-transform-name | --program-transform-name \
+ | --program-transform-nam | --program-transform-na \
+ | --program-transform-n | --program-transform- \
+ | --program-transform | --program-transfor \
+ | --program-transfo | --program-transf \
+ | --program-trans | --program-tran \
+ | --progr-tra | --program-tr | --program-t)
+ ac_prev=program_transform_name ;;
+ -program-transform-name=* | --program-transform-name=* \
+ | --program-transform-nam=* | --program-transform-na=* \
+ | --program-transform-n=* | --program-transform-=* \
+ | --program-transform=* | --program-transfor=* \
+ | --program-transfo=* | --program-transf=* \
+ | --program-trans=* | --program-tran=* \
+ | --progr-tra=* | --program-tr=* | --program-t=*)
+ program_transform_name="$ac_optarg" ;;
+
+ -q | -quiet | --quiet | --quie | --qui | --qu | --q \
+ | -silent | --silent | --silen | --sile | --sil)
+ silent=yes ;;
+
+ -site | --site | --sit)
+ ac_prev=site ;;
+ -site=* | --site=* | --sit=*)
+ site="$ac_optarg" ;;
+
+ -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
+ ac_prev=srcdir ;;
+ -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
+ srcdir="$ac_optarg" ;;
+
+ -target | --target | --targe | --targ | --tar | --ta | --t)
+ ac_prev=target ;;
+ -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
+ target="$ac_optarg" ;;
+
+ -v | -verbose | --verbose | --verbos | --verbo | --verb)
+ verbose=yes ;;
+
+ -version | --version | --versio | --versi | --vers)
+ echo "configure generated by autoconf version 2.3"
+ exit 0 ;;
+
+ -with-* | --with-*)
+ ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
+ # Reject names that are not valid shell variable names.
+ if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
+ { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
+ fi
+ ac_package=`echo $ac_package| sed 's/-/_/g'`
+ case "$ac_option" in
+ *=*) ;;
+ *) ac_optarg=yes ;;
+ esac
+ eval "with_${ac_package}='$ac_optarg'" ;;
+
+ -without-* | --without-*)
+ ac_package=`echo $ac_option|sed -e 's/-*without-//'`
+ # Reject names that are not valid shell variable names.
+ if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
+ { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
+ fi
+ ac_package=`echo $ac_package| sed 's/-/_/g'`
+ eval "with_${ac_package}=no" ;;
+
+ --x)
+ # Obsolete; use --with-x.
+ with_x=yes ;;
+
+ -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
+ | --x-incl | --x-inc | --x-in | --x-i)
+ ac_prev=x_includes ;;
+ -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
+ | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
+ x_includes="$ac_optarg" ;;
+
+ -x-libraries | --x-libraries | --x-librarie | --x-librari \
+ | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
+ ac_prev=x_libraries ;;
+ -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
+ | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
+ x_libraries="$ac_optarg" ;;
+
+ -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
+ ;;
+
+ *)
+ if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
+ echo "configure: warning: $ac_option: invalid host type" 1>&2
+ fi
+ if test "x$nonopt" != xNONE; then
+ { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
+ fi
+ nonopt="$ac_option"
+ ;;
+
+ esac
done
-trap 'rm -fr conftest* confdefs* core; exit 1' 1 3 15
-trap 'rm -f confdefs*' 0
+if test -n "$ac_prev"; then
+ { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
+fi
+
+trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
+
+# File descriptor usage:
+# 0 standard input
+# 1 file creation
+# 2 errors and warnings
+# 3 some systems may open it to /dev/tty
+# 4 used on the Kubota Titan
+# 6 checking for... messages and results
+# 5 compiler messages saved in config.log
+if test "$silent" = yes; then
+ exec 6>/dev/null
+else
+ exec 6>&1
+fi
+exec 5>./config.log
+
+echo "\
+This file contains any messages produced by compilers while
+running configure, to aid debugging if configure makes a mistake.
+" 1>&5
+
+# Strip out --no-create and --no-recursion so they do not pile up.
+# Also quote any args containing shell metacharacters.
+ac_configure_args=
+for ac_arg
+do
+ case "$ac_arg" in
+ -no-create | --no-create | --no-creat | --no-crea | --no-cre \
+ | --no-cr | --no-c) ;;
+ -no-recursion | --no-recursion | --no-recursio | --no-recursi \
+ | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
+ *" "*|*" "*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
+ ac_configure_args="$ac_configure_args '$ac_arg'" ;;
+ *) ac_configure_args="$ac_configure_args $ac_arg" ;;
+ esac
+done
# NLS nuisances.
+# Only set LANG and LC_ALL to C if already set.
# These must not be set unconditionally because not all systems understand
# e.g. LANG=C (notably SCO).
-if test "${LC_ALL+set}" = 'set' ; then LC_ALL=C; export LC_ALL; fi
-if test "${LANG+set}" = 'set' ; then LANG=C; export LANG; fi
+if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
+if test "${LANG+set}" = set; then LANG=C; export LANG; fi
-rm -f conftest* confdefs.h
+# confdefs.h avoids OS command line length limits that DEFS can exceed.
+rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h
-compile='${CC-cc} $CFLAGS conftest.c -o conftest $LIBS >/dev/null 2>&1'
# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
-unique_file=send-pr.sh
+ac_unique_file=send-pr.sh
# Find the source files, if location was not specified.
if test -z "$srcdir"; then
- srcdirdefaulted=yes
- # Try the directory containing this script, then `..'.
- prog=$0
- confdir=`echo $prog|sed 's%/[^/][^/]*$%%'`
- test "X$confdir" = "X$prog" && confdir=.
- srcdir=$confdir
- if test ! -r $srcdir/$unique_file; then
+ ac_srcdir_defaulted=yes
+ # Try the directory containing this script, then its parent.
+ ac_prog=$0
+ ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
+ test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
+ srcdir=$ac_confdir
+ if test ! -r $srcdir/$ac_unique_file; then
srcdir=..
fi
+else
+ ac_srcdir_defaulted=no
fi
-if test ! -r $srcdir/$unique_file; then
- if test x$srcdirdefaulted = xyes; then
- echo "configure: Can not find sources in \`${confdir}' or \`..'." 1>&2
+if test ! -r $srcdir/$ac_unique_file; then
+ if test "$ac_srcdir_defaulted" = yes; then
+ { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
else
- echo "configure: Can not find sources in \`${srcdir}'." 1>&2
+ { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
fi
- exit 1
fi
-# Preserve a srcdir of `.' to avoid automounter screwups with pwd.
-# But we can't avoid them for `..', to make subdirectories work.
-case $srcdir in
- .|/*|~*) ;;
- *) srcdir=`cd $srcdir; pwd` ;; # Make relative path absolute.
-esac
+srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`
+# Prefer explicitly selected file to automatically selected ones.
+if test -z "$CONFIG_SITE"; then
+ if test "x$prefix" != xNONE; then
+ CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
+ else
+ CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
+ fi
+fi
+for ac_site_file in $CONFIG_SITE; do
+ if test -r "$ac_site_file"; then
+ echo "loading site script $ac_site_file"
+ . "$ac_site_file"
+ fi
+done
+
+if test -r "$cache_file"; then
+ echo "loading cache $cache_file"
+ . $cache_file
+else
+ echo "creating cache $cache_file"
+ > $cache_file
+fi
+
+ac_ext=c
+# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5 2>&5'
+ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5 2>&5'
+
+if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
+ # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
+ if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
+ ac_n= ac_c='
+' ac_t=' '
+ else
+ ac_n=-n ac_c= ac_t=
+ fi
+else
+ ac_n= ac_c='\c' ac_t=
+fi
-# Save the original args to write them into config.status later.
-configure_args="$*"
@@ -141,14 +411,18 @@ else
ECHON=none
test -n "$verbose" && echo ' using plain echo'
fi
-echo checking for Emacs Lisp files
+echo $ac_n "checking checking for Emacs Lisp files""... $ac_c" 1>&6
if test -n "$with_lispdir"; then
LISPDIR=${with_lispdir}
else
for f in ${prefix-/usr/local}/lib/emacs/site-lisp \
${prefix-/usr/local}/lib/emacs/lisp; do
if test -d $f; then
- LISPDIR=$f
+ if test -n "$prefix"; then
+ LISPDIR=`echo $f | sed "s,^$prefix,"'$(prefix),'`
+ else
+ LISPDIR=$f
+ fi
break
fi
done
@@ -156,7 +430,7 @@ fi
if test -z "$LISPDIR"; then
LISPDIR='$(prefix)/lib/emacs/lisp'
fi
-test -n "$verbose" && echo " setting LISPDIR to ${LISPDIR}"
+echo "$ac_t""${LISPDIR}" 1>&6
echo checking how to access passwd database
PASSWD="cat /etc/passwd"
@@ -171,11 +445,14 @@ fi
test -n "$verbose" && echo " setting PASSWD to ${PASSWD}"
-GNATS_SITE=netbsd
-GNATS_ADDR=gnats-bugs@gnats.netbsd.org
-SUBMITTER=net
+if test -z "${GNATS_SITE}"; then
+ GNATS_SITE=cygnus
+fi
+SUBMITTER=unknown
+if test -z "${GNATS_ADDR}"; then
+ GNATS_ADDR=bugs@cygnus.com
+fi
DEFAULT_ORGANIZATION=
-DEFAULT_RELEASE=
if test x/usr/lib:/usr/sbin:/usr/ucblib = x; then _PATH=$PATH; else _PATH=/usr/lib:/usr/sbin:/usr/ucblib; fi
if test -z "$SENDMAIL"; then
@@ -200,6 +477,12 @@ else
MAIL_AGENT=false
fi
+if test -f ${srcdir}/../release-info ; then
+ DEFAULT_RELEASE=`. ${srcdir}/../release-info ; echo ${RELEASE_TAG}`
+else
+ DEFAULT_RELEASE='gnats-$(VERSION)'
+fi
+
# Get GNATS_ROOT from environment, if possible
if test -n "$with_gnats_root"; then
@@ -253,86 +536,120 @@ if test -n "$verbose"; then
echo " setting MAIL_AGENT to $MAIL_AGENT"
fi
-# Set default prefixes.
-if test -n "$prefix"; then
- test -z "$exec_prefix" && exec_prefix='${prefix}'
- prsub="s%^prefix\\([ ]*\\)=\\([ ]*\\).*$%prefix\\1=\\2$prefix%"
+trap '' 1 2 15
+cat > confcache <<\EOF
+# This file is a shell script that caches the results of configure
+# tests run on this system so they can be shared between configure
+# scripts and configure runs. It is not useful on other systems.
+# If it contains results you don't want to keep, you may remove or edit it.
+#
+# By default, configure uses ./config.cache as the cache file,
+# creating it if it does not exist already. You can give configure
+# the --cache-file=FILE option to use a different cache file; that is
+# what configure does when it calls configure scripts in
+# subdirectories, so they share the cache.
+# Giving --cache-file=/dev/null disables caching, for debugging configure.
+# config.status only pays attention to the cache file if you give it the
+# --recheck option to rerun configure.
+#
+EOF
+# Ultrix sh set writes to stderr and can't be redirected directly,
+# and sets the high bit in the cache file unless we assign to the vars.
+(set) 2>&1 |
+ sed -n "s/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=\${\1='\2'}/p" \
+ >> confcache
+if cmp -s $cache_file confcache; then
+ :
+else
+ if test -w $cache_file; then
+ echo "updating cache $cache_file"
+ cat confcache > $cache_file
+ else
+ echo "not updating unwritable cache $cache_file"
+ fi
fi
-if test -n "$exec_prefix"; then
- prsub="$prsub
-s%^exec_prefix\\([ ]*\\)=\\([ ]*\\).*$%exec_prefix\\1=\\2$exec_prefix%"
+rm -f confcache
+
+trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15
+
+test "x$prefix" = xNONE && prefix=$ac_default_prefix
+# Let make expand exec_prefix.
+test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'
+
+# Any assignment to VPATH causes Sun make to only execute
+# the first set of double-colon rules, so remove it if not needed.
+# If there is a colon in the path, we need to keep it.
+if test "x$srcdir" = x.; then
+ ac_vpsub='/^[ ]*VPATH[ ]*=[^:]*$/d'
fi
-# Quote sed substitution magic chars in DEFS.
-cat >conftest.def <<EOF
-$DEFS
+
+trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15
+
+# Transform confdefs.h into DEFS.
+# Protect against shell expansion while executing Makefile rules.
+# Protect against Makefile macro expansion.
+cat > conftest.defs <<\EOF
+s%#define \([A-Za-z_][A-Za-z0-9_]*\) \(.*\)%-D\1=\2%g
+s%[ `~#$^&*(){}\\|;'"<>?]%\\&%g
+s%\[%\\&%g
+s%\]%\\&%g
+s%\$%$$%g
EOF
-escape_ampersand_and_backslash='s%[&\\]%\\&%g'
-DEFS=`sed "$escape_ampersand_and_backslash" <conftest.def`
-rm -f conftest.def
-# Substitute for predefined variables.
-
-trap 'rm -f config.status; exit 1' 1 3 15
-echo creating config.status
-rm -f config.status
-cat > config.status <<EOF
-#!/bin/sh
+DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
+rm -f conftest.defs
+
+
+# Without the "./", some shells look in PATH for config.status.
+: ${CONFIG_STATUS=./config.status}
+
+echo creating $CONFIG_STATUS
+rm -f $CONFIG_STATUS
+cat > $CONFIG_STATUS <<EOF
+#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
-# $0 $configure_args
+# $0 $ac_configure_args
+#
+# Compiler output produced by configure, useful for debugging
+# configure, is in ./config.log if it exists.
-for arg
+ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
+for ac_option
do
- case "\$arg" in
- -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
- echo running \${CONFIG_SHELL-/bin/sh} $0 $configure_args
- exec \${CONFIG_SHELL-/bin/sh} $0 $configure_args ;;
- *) echo "Usage: config.status --recheck" 2>&1; exit 1 ;;
+ case "\$ac_option" in
+ -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
+ echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
+ exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
+ -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
+ echo "$CONFIG_STATUS generated by autoconf version 2.3"
+ exit 0 ;;
+ -help | --help | --hel | --he | --h)
+ echo "\$ac_cs_usage"; exit 0 ;;
+ *) echo "\$ac_cs_usage"; exit 1 ;;
esac
done
-trap 'rm -f Makefile; exit 1' 1 3 15
-GNATS_ROOT='$GNATS_ROOT'
-GNATS_ADDR='$GNATS_ADDR'
-GNATS_SITE='$GNATS_SITE'
-DEFAULT_RELEASE='$DEFAULT_RELEASE'
-DEFAULT_ORGANIZATION='$DEFAULT_ORGANIZATION'
-MAIL_AGENT='$MAIL_AGENT'
-SUBMITTER='$SUBMITTER'
-ECHON='$ECHON'
-LISPDIR='$LISPDIR'
-PASSWD='$PASSWD'
-SENDMAIL='$SENDMAIL'
-SEND_PR='$SEND_PR'
-LIBS='$LIBS'
-srcdir='$srcdir'
-DEFS='$DEFS'
-prefix='$prefix'
-exec_prefix='$exec_prefix'
-prsub='$prsub'
-extrasub='$extrasub'
-EOF
-cat >> config.status <<\EOF
+ac_given_srcdir=$srcdir
-top_srcdir=$srcdir
+trap 'rm -fr `echo "Makefile" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
-CONFIG_FILES=${CONFIG_FILES-"Makefile"}
-for file in .. ${CONFIG_FILES}; do if test "x$file" != x..; then
- srcdir=$top_srcdir
- # Remove last slash and all that follows it. Not all systems have dirname.
- dir=`echo $file|sed 's%/[^/][^/]*$%%'`
- if test "$dir" != "$file"; then
- test "$top_srcdir" != . && srcdir=$top_srcdir/$dir
- test ! -d $dir && mkdir $dir
- fi
- echo creating $file
- rm -f $file
- echo "# Generated automatically from `echo $file|sed 's|.*/||'`.in by configure." > $file
- sed -e "
-$prsub
+# Protect against being on the right side of a sed subst in config.status.
+sed 's/%@/@@/; s/@%/@@/; s/%g$/@g/; /@g$/s/[\\\\&%]/\\\\&/g;
+ s/@@/%@/; s/@@/@%/; s/@g$/%g/' > conftest.subs <<\CEOF
+$ac_vpsub
$extrasub
+s%@CFLAGS@%$CFLAGS%g
+s%@CPPFLAGS@%$CPPFLAGS%g
+s%@CXXFLAGS@%$CXXFLAGS%g
+s%@DEFS@%$DEFS%g
+s%@LDFLAGS@%$LDFLAGS%g
+s%@LIBS@%$LIBS%g
+s%@exec_prefix@%$exec_prefix%g
+s%@prefix@%$prefix%g
+s%@program_transform_name@%$program_transform_name%g
s%@GNATS_ROOT@%$GNATS_ROOT%g
s%@GNATS_ADDR@%$GNATS_ADDR%g
s%@GNATS_SITE@%$GNATS_SITE%g
@@ -345,15 +662,67 @@ s%@LISPDIR@%$LISPDIR%g
s%@PASSWD@%$PASSWD%g
s%@SENDMAIL@%$SENDMAIL%g
s%@SEND_PR@%$SEND_PR%g
-s%@LIBS@%$LIBS%g
+
+CEOF
+EOF
+cat >> $CONFIG_STATUS <<EOF
+
+CONFIG_FILES=\${CONFIG_FILES-"Makefile"}
+EOF
+cat >> $CONFIG_STATUS <<\EOF
+for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
+ # Support "outfile[:infile]", defaulting infile="outfile.in".
+ case "$ac_file" in
+ *:*) ac_file_in=`echo "$ac_file"|sed 's%.*:%%'`
+ ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
+ *) ac_file_in="${ac_file}.in" ;;
+ esac
+
+ # Adjust relative srcdir, etc. for subdirectories.
+
+ # Remove last slash and all that follows it. Not all systems have dirname.
+ ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
+ if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
+ # The file is in a subdirectory.
+ test ! -d "$ac_dir" && mkdir "$ac_dir"
+ ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
+ # A "../" for each directory in $ac_dir_suffix.
+ ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
+ else
+ ac_dir_suffix= ac_dots=
+ fi
+
+ case "$ac_given_srcdir" in
+ .) srcdir=.
+ if test -z "$ac_dots"; then top_srcdir=.
+ else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
+ /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
+ *) # Relative path.
+ srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
+ top_srcdir="$ac_dots$ac_given_srcdir" ;;
+ esac
+
+ echo creating "$ac_file"
+ rm -f "$ac_file"
+ configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
+ case "$ac_file" in
+ *Makefile*) ac_comsub="1i\\
+# $configure_input" ;;
+ *) ac_comsub= ;;
+ esac
+ sed -e "$ac_comsub
+s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
-s%@DEFS@%$DEFS%
-" $top_srcdir/${file}.in >> $file
+s%@top_srcdir@%$top_srcdir%g
+" -f conftest.subs $ac_given_srcdir/$ac_file_in > $ac_file
fi; done
+rm -f conftest.subs
+
exit 0
EOF
-chmod +x config.status
-${CONFIG_SHELL-/bin/sh} config.status
+chmod +x $CONFIG_STATUS
+rm -fr confdefs* $ac_clean_files
+test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1
diff --git a/gnu/usr.bin/send-pr/configure.in b/gnu/usr.bin/send-pr/configure.in
index 0164755437f..e7bd25d7ffd 100644
--- a/gnu/usr.bin/send-pr/configure.in
+++ b/gnu/usr.bin/send-pr/configure.in
@@ -13,11 +13,14 @@ AC_ECHON
AC_LISPDIR
AC_PASSWD
-GNATS_SITE=netbsd
-GNATS_ADDR=gnats-bugs@gnats.netbsd.org
-SUBMITTER=net
+if test -z "${GNATS_SITE}"; then
+ GNATS_SITE=cygnus
+fi
+SUBMITTER=unknown
+if test -z "${GNATS_ADDR}"; then
+ GNATS_ADDR=bugs@cygnus.com
+fi
DEFAULT_ORGANIZATION=
-DEFAULT_RELEASE=
AC_FIND_PROGRAM(SENDMAIL,sendmail,/usr/lib:/usr/sbin:/usr/ucblib)
if test -n "$SENDMAIL" ; then
@@ -26,6 +29,12 @@ else
MAIL_AGENT=false
fi
+if test -f ${srcdir}/../release-info ; then
+ DEFAULT_RELEASE=`. ${srcdir}/../release-info ; echo ${RELEASE_TAG}`
+else
+ DEFAULT_RELEASE='gnats-$(VERSION)'
+fi
+
# Get GNATS_ROOT from environment, if possible
if test -n "$with_gnats_root"; then
diff --git a/gnu/usr.bin/send-pr/fields.texi b/gnu/usr.bin/send-pr/fields.texi
index e8921d625c8..582bbf99f1a 100644
--- a/gnu/usr.bin/send-pr/fields.texi
+++ b/gnu/usr.bin/send-pr/fields.texi
@@ -280,6 +280,7 @@ The product, component or concept is working in general, but lacks
features, has irritating behavior, does something wrong, or doesn't
match its documentation.
@end table
+@noindent
The default value is @samp{serious}.
@sp 1
diff --git a/gnu/usr.bin/send-pr/send-pr-el.in b/gnu/usr.bin/send-pr/send-pr-el.in
index 48a3c765520..785597ac1ff 100644
--- a/gnu/usr.bin/send-pr/send-pr-el.in
+++ b/gnu/usr.bin/send-pr/send-pr-el.in
@@ -84,6 +84,27 @@
(string-lessp emacs-version "19")))
"Is this emacs v19?")
+;;; This has to be here rather than at the bottom of this file with
+;;; the other utility functions because it is used by
+;;; gnats::get-config, which is called when send-pr.el is being
+;;; loaded (see the "defconst" below), before the whole file has been
+;;; loaded.
+
+(defun gnats::find-safe-default-directory (&optional buffer)
+"If the directory referred to by `default-directory' for the current
+buffer (or for optional argument BUFFER) does not exist, set it to the home
+directory of the current user if that exists, or to `/'.
+
+Returns the final value of default-directory in the buffer."
+ (let ((homedir (expand-file-name "~/")))
+ (save-excursion
+ (if buffer (set-buffer buffer))
+ (if (not (file-exists-p default-directory))
+ (if (file-exists-p homedir)
+ (setq default-directory homedir)
+ (setq default-directory "/")))
+ default-directory)))
+
;;; These may be changed during configuration/installation or by the individual
;;; user in his/her .emacs file.
;;;
@@ -93,9 +114,14 @@
ret)
(save-excursion
(set-buffer buf)
- (shell-command (concat ". " gnats:root "/gnats-adm/config; echo $" var )
- t)
- (if (looking-at "/bin/sh:\\|\n")
+ (shell-command-on-region
+ (point-min) (point-max)
+ (concat ". " gnats:root "/gnats-adm/config; echo $" var ) t)
+ (goto-char (point-min))
+ ; We have to use get-buffer, since shell-command-on-region will wipe
+ ; out the buffer if there's no output from the command.
+ (if (or (not (get-buffer "*Shell Command Output*"))
+ (looking-at "/bin/sh:\\|\.:\\|\n"))
(setq ret nil)
(setq ret (buffer-substring (point-min) (- (point-max) 1)))))
(kill-buffer buf)
@@ -234,8 +260,9 @@ to send the PR with `send-pr -b -f -'."
(let ((oldpr (getenv "GNATS_ROOT"))
(case-fold-search nil))
(setenv "GNATS_ROOT" gnats:root)
- (shell-command (concat "send-pr -P " site) t)
+ (send-pr::insert-template site)
(setenv "GNATS_ROOT" oldpr)
+ (goto-char (point-min))
(if (looking-at "send-pr:")
(cond ((looking-at "send-pr: .* does not have a categories list")
(setq send-pr::sites nil)
@@ -243,6 +270,7 @@ to send the PR with `send-pr -b -f -'."
(t (error (buffer-substring (point-min) (point-max)))))
(save-excursion
;; Clear cruft inserted by bdamaged .cshrcs
+ (goto-char 1)
(re-search-forward "^SEND-PR:")
(delete-region 1 (match-beginning 0)))))
(set-buffer-modified-p nil)
@@ -264,6 +292,19 @@ to send the PR with `send-pr -b -f -'."
(message (substitute-command-keys
"To send the problem report use: \\[send-pr:submit-pr]"))))
+(defvar send-pr::template-alist nil
+ "An alist containing the output of send-pr -P <sitename> for various sites.")
+
+(defun send-pr::insert-template (site)
+ (let ((elt (assoc site send-pr::template-alist)))
+ (if elt
+ (save-excursion (insert (cdr elt)))
+ (shell-command (concat "send-pr -P " site) t)
+ (save-excursion
+ (setq send-pr::template-alist
+ (cons (cons site (buffer-substring (point-min) (point-max)))
+ send-pr::template-alist))))))
+
(fset 'do-send-pr 'send-pr:submit-pr) ;backward compat
(defun send-pr:submit-pr ()
"Pipe the contents of the buffer *send-pr* to `send-pr -f -.' unless this
@@ -364,10 +405,12 @@ if it is not nil."
;;;; Functions to read and replace field values.
;;;;---------------------------------------------------------------------------
-(defun gnats::position-on-field (field)
+(defun gnats::position-on-field (field &optional quiet)
(goto-char (point-min))
(if (not (re-search-forward (concat "^>" field ":") nil t))
- (error "Field `>%s:' not found." field)
+ (if quiet
+ nil
+ (error "Field `>%s:' not found." field))
(re-search-forward "[ \t\n\f]*")
(if (looking-at gnats::keyword)
(backward-char 1))
@@ -390,7 +433,7 @@ if it is not nil."
(let (pos)
(unwind-protect
(save-excursion
- (if (not (gnats::position-on-field field))
+ (if (not (gnats::position-on-field field t))
nil
(setq pos (point-marker))
(if (or (looking-at "<.*>$") (eolp))
diff --git a/gnu/usr.bin/send-pr/send-pr.sh b/gnu/usr.bin/send-pr/send-pr.sh
index a11598612a1..4368b032dfd 100644
--- a/gnu/usr.bin/send-pr/send-pr.sh
+++ b/gnu/usr.bin/send-pr/send-pr.sh
@@ -24,7 +24,6 @@
VERSION=xVERSIONx
# The submitter-id for your site.
-[ -z "$SUBMITTER" ] &&
SUBMITTER=xSUBMITTERx
# Where the GNATS directory lives, if at all.
@@ -87,8 +86,13 @@ TEMP=$TMPDIR/p$$
BAD=$TMPDIR/pbad$$
REF=$TMPDIR/pf$$
-if [ -z "$LOGNAME" -a -n "$USER" ]; then
- LOGNAME=$USER
+# find a user name
+if [ "$LOGNAME" = "" ]; then
+ if [ "$USER" != "" ]; then
+ LOGNAME="$USER"
+ else
+ LOGNAME="UNKNOWN"
+ fi
fi
FROM="$LOGNAME"
diff --git a/gnu/usr.bin/send-pr/send-pr.texi b/gnu/usr.bin/send-pr/send-pr.texi
index b9edd9cecbc..d46a0ad6534 100644
--- a/gnu/usr.bin/send-pr/send-pr.texi
+++ b/gnu/usr.bin/send-pr/send-pr.texi
@@ -10,13 +10,13 @@
@ifinfo
@format
START-INFO-DIR-ENTRY
-* send-pr:: Reporting problems--using send-pr
+* send-pr: (send-pr). Reporting problems--using send-pr
END-INFO-DIR-ENTRY
@end format
@end ifinfo
@ifinfo
-Copyright @copyright{} 1993 Free Software Foundation, Inc.
+Copyright @copyright{} 1993, 1994 Free Software Foundation, Inc.
Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice
@@ -50,7 +50,7 @@ into another language, under the above conditions for modified versions.
@vskip 0pt plus 1filll
-Copyright @copyright{} 1993 Free Software Foundation, Inc.
+Copyright @copyright{} 1993, 1994 Free Software Foundation, Inc.
Permission is granted to make and distribute verbatim copies of
this manual provided the copyright notice and this permission notice